﻿<!DOCTYPE html>
<html>
<head>
    <title>Nali - N100 RF Transmit Receive Test</title>
</head>
<body>

    <h1 id="nali-n100-rf-transmit-receive-test">Nali - N100 RF Transmit Receive Test</h1>
<p>The Flex application provides functions for testing LoRaWAN transmit and receive functions. It does not
have control over frequencies.</p>
<h2 id="instructions">Instructions</h2>
<ol>
<li>Follow the instructions in the user's guide to install the rf_test.bin file.</li>
<li>The source code is in <a href="rf_test.p">rf_test.p</a>, it can be modified to suit your additional needs.</li>
</ol>
<h2 id="rf-test-user-interface-description">RF Test User Interface Description</h2>
<p>When automatically sending messages, the tag does not request message confirmation.  If sent
manually, the tag will request confirmation of receipt.s</p>
<h3 id="normal-operating-mode">Normal Operating Mode</h3>
<p>Normal operating mode is entered when the device boots.</p>
<p><strong>Operating Mode Button Descriptions</strong></p>
<table>
<thead>
<tr>
<th>Button 1</th>
<th>Button 2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>1 quick press</td>
<td></td>
<td>Sends location message (confirmation requested)</td>
</tr>
<tr>
<td>1 long press (&gt; 1.5 sec.)</td>
<td></td>
<td>Activates / Deactivates Rapid transmission of messages every 5 seconds (Max 10,000 cycles).</td>
</tr>
<tr>
<td></td>
<td>1 quick press</td>
<td>Indicates battery level (see Battery Indicator below)</td>
</tr>
<tr>
<td></td>
<td>2 quick presses</td>
<td>Indicates network coverage status (see Coverage Indicator below)</td>
</tr>
<tr>
<td>&gt;15 sec. press</td>
<td></td>
<td>Resets the device.</td>
</tr>
</tbody>
</table>
<p><strong>Operating Mode Button Descriptions</strong></p>
<table>
<thead>
<tr>
<th>LED #1</th>
<th>LED #2</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Blue blink three times</td>
<td>Blue blink three times</td>
<td>Device restarted</td>
</tr>
<tr>
<td>2 blinks</td>
<td></td>
<td>Device is sending a message.</td>
</tr>
<tr>
<td>Red blink three times</td>
<td></td>
<td>Input invalid.</td>
</tr>
<tr>
<td>Blue blink twice</td>
<td></td>
<td>Auto send activated.</td>
</tr>
<tr>
<td>Red blink twice</td>
<td></td>
<td>Auto send deactivated.</td>
</tr>
<tr>
<td></td>
<td>Purple slow blink every 10 sec.</td>
<td>Battery is charging.</td>
</tr>
<tr>
<td></td>
<td>Blue slow blink every 10 sec.</td>
<td>Battery is charged.</td>
</tr>
<tr>
<td></td>
<td>Four(4) red blinks every two minutes</td>
<td>Battery is nearly dead, place tag on charger</td>
</tr>
</tbody>
</table>
<h3 id="battery-indicator">Battery Indicator</h3>
<p>Quickly pressing Button #2 will indicate the percent charge of the battery in 20% increments.</p>
<p>LED #2 will blink as follows to indicate percent charge.</p>
<table>
<thead>
<tr>
<th>LED #2</th>
<th>% Charge</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>1 red</td>
<td>&lt; 5%</td>
<td>Battery level is critical,  charge immediately.</td>
</tr>
<tr>
<td>1 blue</td>
<td>5%  - 30%</td>
<td>Battery low  less than 30% remaining.</td>
</tr>
<tr>
<td>2 blue</td>
<td>30% - 50%</td>
<td>Battery is about 40% charged.</td>
</tr>
<tr>
<td>3 blue</td>
<td>50% - 70%</td>
<td>Battery is about 60% charged.</td>
</tr>
<tr>
<td>4 blue</td>
<td>70% - 90%</td>
<td>Battery  is about 80% charged.</td>
</tr>
<tr>
<td>5 blue</td>
<td>&gt; 90%</td>
<td>Battery is fully charged.</td>
</tr>
</tbody>
</table>
<h3 id="network-coverage-indicator">Network Coverage Indicator</h3>
<p>Quickly pressing Button #2 twice will indicate the status of LoRaWAN network coverage.</p>
<p>LED #2 will blink as follows to indicate coverage and network status information</p>
<table>
<thead>
<tr>
<th>LED #2</th>
<th>Signal Strength (dBm)</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>4 blue</td>
<td>-64  to -30</td>
<td>Very strong signal strength</td>
</tr>
<tr>
<td>3 blue</td>
<td>-89  to  -65</td>
<td>Good signal strength</td>
</tr>
<tr>
<td>2 blue</td>
<td>-109  to -90</td>
<td>Low signal strength</td>
</tr>
<tr>
<td>1 blue</td>
<td>-120 to -110</td>
<td>Very low signal strength</td>
</tr>
<tr>
<td>1 red</td>
<td></td>
<td>Network unavailable (out of range)</td>
</tr>
<tr>
<td>2 red</td>
<td></td>
<td>Network access restricted (check subscription)</td>
</tr>
<tr>
<td>4 red</td>
<td></td>
<td>LoRaWAN telemetry disabled.</td>
</tr>
</tbody>
</table>
<hr />
<p><em>Copyright 2019-2020, Codepoint Technologies,</em>
<em>All Rights Reserved</em></p>


</body>
</html>